@echo off
cls
echo.
echo.
echo       ***********WELCOME TO ANTARCTICA INSTALL**********
echo.
echo                          JOHN VALDEZ
echo.
echo.
echo  Remember: ANTARCTICA FILES MUST BE UNZIPPED TO C:\UNZIPPED.
pause
cls
IF EXIST %1\UNZIPPED\ANTARTIC.BAT goto sofar
echo  ***************************************************
echo  *     You must unzip all files to c:\unzipped.    *   
echo  *         If your Hard Drive is C:, type:         * 
echo  *                C: <hit enter>                   *  
echo  *           <then type> cd unzipped               *  
echo  *  "You should now see the C:\unzipped> prompt."  *
echo  ***************************************************
echo.
pause
goto finished
:sofar
IF x%1==xC: goto ok
IF x%1==xc: goto ok
IF x%1==xD: goto ok
IF x%1==xd: goto ok
IF x%1==xE: goto ok
IF x%1==xe: goto ok
IF x%1==xF: goto ok
IF x%1==xf: goto ok
IF x%1==xG: goto ok
IF x%1==xg: goto ok
IF x%1==xH: goto ok
IF x%1==xh: goto ok
IF x%1==xI: goto ok
IF x%1==xi: goto ok
goto err
:ok
IF EXIST %1:\MPS\CIV2 goto alright
:alright
cls
pause
echo **********************************************************************
echo *      This batch file will install ANTARCTIC MODPACK on your hard   *
echo *                               disk %1                              *
echo *  It will create a root directory ANTARTIC and two subdirectories:  *
echo *                  ANTARTIC\CIV2 and ANTARTIC\CIV2\SOUND             *
echo *  In all, this will use 16.4 MB of disk space on your Hard Disk.    *
echo *  But, will compress to 5.74 MB before installation is finished     *
echo *  Hit ^C (Control and C together) to Abort this process.            *
echo **********************************************************************
pause
cls 
@echo on
mkdir %1\ANTARTIC
mkdir %1\ANTARTIC\CIV2
mkdir %1\ANTARTIC\CIV2\SOUND
@echo off
IF NOT EXIST %1\ANTARTIC\CIV2\RULES.TXT goto chain
cls
echo **********************************************************************
echo *  ANTARCTIC MODPACK has already been installed on this system,      *
echo *  continuing will eliminate any previous version installed.         *
echo *  or hit ^C (Control and C together) to Abort this process.         *
echo **********************************************************************
pause
:chain
cls
echo .................Copying Files, this may take a moment!
echo on
COPY %1\MPS\CIV2\*.* %1\ANTARTIC\CIV2
COPY *.wav %1\ANTARTIC\CIV2\SOUND
DEL %1\UNZIPPED\*.wav
COPY *.* %1\ANTARTIC\CIV2
DEL %1\UNZIPPED\*.gif
DEL %1\UNZIPPED\*.txt
DEL %1\UNZIPPED\*.mp
@echo off
pause
cls
echo  ************************************************************
echo  *   FINISHED INSTALLING ANTARCTIC MODPACK in %1\ANTARTIC   *
echo  *      TO RUN THE NEW MOD RETURN TO WINDOWS AND            *
echo  *  START CIV FROM THE %1\ANTARTIC\CIV2 FOLDER/DIRECTORY    *
echo  *    BY BROWSING MY COMPUTER OR CREATE A NEW ICON          *
echo  ************************************************************
echo
goto finished

:err
echo off
echo  Syntax is ANTARTIC [Drive Letter:]
echo  For example, if your hard disk is C:, type:
echo                 ANTARTIC C:
:finished
